
%global meadversion 2.0.0
%global namedversion 2.0.0.SP1-redhat-00001
%global meadalpha .SP1_redhat_00001
%global meadrel .1
%global serial 3
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}weld-cdi-2.0-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.0.SP1-redhat-00001

Name:           %{?scl_prefix}weld-cdi-2.0-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        CDI APIs
Group:          Development/Java

%if %with mead
Source100: cdi-api-2.0.0.SP1-redhat-00001-scm-sources.zip
Source102: cdi-api-2.0.0.SP1-redhat-00001-project-sources.tar.gz
Source103: cdi-api-2.0.0.SP1-redhat-00001-sources.jar
Source104: cdi-api-2.0.0.SP1-redhat-00001.jar
Source105: cdi-api-2.0.0.SP1-redhat-00001.pom
Source106: cdi-api-2.0.0.SP1-redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://cdi-spec.org
Provides:       %{?scl_prefix}cdi-api = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root
Obsoletes:      %{?scl_prefix}weld-cdi-1.2-api = 0:1.2.0

%description
APIs for CDI (Contexts and Dependency Injection for Java EE).

%if %with javadoc
%package javadoc
Summary:        Javadoc for cdi-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n api -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/cdi-api-%{namedversion}.jar %{buildroot}%{_javadir}/cdi-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cdi-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cdi-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cdi-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cdi-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/cdi-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/cdi-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/cdi-api-%{namedversion} -x META-INF/\*
%{__ln_s} cdi-api-%{namedversion} %{buildroot}%{_javadocdir}/cdi-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/cdi-api-%{namedversion}.jar
%{_javadir}/cdi-api.jar
%if %with javadoc
%{_javadir}/cdi-api-%{namedversion}-javadoc.jar
%{_javadir}/cdi-api-javadoc.jar
%endif
%{_javadir}/cdi-api-%{namedversion}-sources.jar
%{_javadir}/cdi-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/cdi-api-%{namedversion}
%{_javadocdir}/cdi-api
%endif

%changelog
* Wed Aug 08 2018 Petr Sakar <psakar@redhat.com> - 2.0.0-3.SP1_redhat_00001.1
- upgrade to 2.0.0.SP1-redhat-00001

* Mon Jul 23 2018 Permaine Cheung <pcheung@redhat.com> - 2.0.0-2.redhat_1.1
- Add Obsoletes for weld-cdi-1.2-api

* Thu Jul 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.0.0-1.redhat_1.1
- 2.0.0.redhat-1

* Thu Jul 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.0.0-1.redhat_1.1
- 2.0.0.redhat-1
